ia64/xen-unstable

changeset 16070:65c4977850d7

Revert 16065:671dcd08e806 and try again to fix the issue.

Changing LINUX_VER causes us to clone the wrong repository so instead
use the kernel's "kernelrelease" target to figure out the correct
Linux version.

Signed-off-by: Ian Campbell <ian.campbell@xensource.com>
author Keir Fraser <keir@xensource.com>
date Thu Oct 04 14:21:11 2007 +0100 (2007-10-04)
parents 56b543dd0da2
children 2d761ca771fb
files buildconfigs/mk.linux-2.6-xen
line diff
     1.1 --- a/buildconfigs/mk.linux-2.6-xen	Thu Oct 04 13:52:51 2007 +0100
     1.2 +++ b/buildconfigs/mk.linux-2.6-xen	Thu Oct 04 14:21:11 2007 +0100
     1.3 @@ -1,5 +1,5 @@
     1.4  LINUX_SERIES = 2.6
     1.5 -LINUX_VER    ?= 2.6.18.8
     1.6 +LINUX_VER    ?= 2.6.18
     1.7  
     1.8  EXTRAVERSION ?= -xen
     1.9  
    1.10 @@ -48,6 +48,8 @@ ifndef XEN_LINUX_ALLOW_INTERFACE_MISMATC
    1.11  XEN_LINUX_ALLOW_INTERFACE_MISMATCH := y
    1.12  endif
    1.13  
    1.14 +KERNELRELEASE = $(shell $(MAKE) -s --no-print-directory -C $(LINUX_DIR) kernelrelease)
    1.15 +
    1.16  # The real action starts here!
    1.17  .PHONY: build
    1.18  build: $(LINUX_DIR)/include/linux/autoconf.h
    1.19 @@ -67,9 +69,9 @@ endif
    1.20  	fi
    1.21  	$(MAKE) -C $(LINUX_DIR) ARCH=$(LINUX_ARCH) INSTALL_PATH=$(DESTDIR) $(IMAGE_TARGET)
    1.22  	mkdir -p $(INSTALL_BOOT_PATH)
    1.23 -	cp $(LINUX_DIR)/$(IMAGE_PATH) $(INSTALL_BOOT_PATH)/vmlinuz-$(LINUX_VER)$(EXTRAVERSION)
    1.24 -	cp $(LINUX_DIR)/.config $(INSTALL_BOOT_PATH)/config-$(LINUX_VER)$(EXTRAVERSION)
    1.25 -	cp $(LINUX_DIR)/System.map $(INSTALL_BOOT_PATH)/System.map-$(LINUX_VER)$(EXTRAVERSION)
    1.26 +	cp $(LINUX_DIR)/$(IMAGE_PATH) $(INSTALL_BOOT_PATH)/vmlinuz-$(KERNELRELEASE)
    1.27 +	cp $(LINUX_DIR)/.config $(INSTALL_BOOT_PATH)/config-$(KERNELRELEASE)
    1.28 +	cp $(LINUX_DIR)/System.map $(INSTALL_BOOT_PATH)/System.map-$(KERNELRELEASE)
    1.29  
    1.30  $(LINUX_DIR)/include/linux/autoconf.h: CONFIG_FILE=$(CURDIR)/$(LINUX_DIR)/.config
    1.31  $(LINUX_DIR)/include/linux/autoconf.h: $(LINUX_SRCDIR)/.valid-src